import java.io.*;
import java.nio.file.*;

/**
 * Kratka demonstracija rada sa fajlovima preko ugradjenih biblioteka
 */
public class FajloviBezBiblioteke {
  public static void citaj(String ime) { 
    try (BufferedReader reader = Files.newBufferedReader(Paths.get(ime))) {
      String line = null;
      while ((line = reader.readLine()) != null) {
        System.out.println(line);
      }
    } catch (IOException x) {
      System.err.format("IOException: %s%n", x);
    }
  }
  
  public static void pisi(String ime, String sadrzaj) {
    try (BufferedWriter writer = Files.newBufferedWriter(Paths.get(ime))) {
      writer.write(sadrzaj, 0, sadrzaj.length());
    } catch (IOException x) {
      System.err.format("IOException: %s%n", x);
    }
  }
  
  public static void main(String[] args) { 
    String ime = "fajl.txt";
    citaj(ime);
    pisi("izlaz.txt","tekstic");
  }
}
